### phd5 - guide

#### Introduction

- [About](introduction/about.md)
- [Features](introduction/features.md)
- [Requirements](introduction/requirements.md)
- [Basic concepts](introduction/basic-concepts.md)
- [Demos](introduction/demos.md)
- [Tutorial](tutorials/quick-start-planck.md)

#### Development

##### Setup

- [Installation](development/installation.md)
- [Configuration](development/configuration.md)

##### Usage

- [CLI](development/cli.md)
- [Application Console](development/console.md)
- [Web-backend](development/backend.md)
- [Web-frontend](development/frontend.md)
- [Extensions](development/extensions.md)
- [Conventions](development/conventions.md)
- [Troubleshooting](development/troubleshooting.md)

##### Testing

- [Test suites](development/testing.md)
- [QA](development/qa.md)

#### Deployment

- [CI](deployment/continuous-integration.md)
- [Staging and Production](deployment/environments.md)

---

#### Tutorials

##### Development

- [Code generation](tutorials/code-generation.md)
- [File migrations](tutorials/database-migrations-from-file.md)
- [Generate docs](tutorials/documentation-generation.md)
- [Develop vendor extensions with git repositories](tutorials/extension-development.md)
- [Update application packages](tutorials/composer-update-packages.md)
- [Upgrading applications](tutorials/upgrading.md)
- [Logging](tutorials/logging.md)

##### Assets

- [Asset bundles](tutorials/asset-bundles.md)
- [Asset compression](tutorials/asset-compression.md)

##### Database

- [Working with other databases](tutorials/database.md)
- [Create migrations from MySQL dumps](tutorials/database-migrations-from-file.md)

##### Docker

- docker-host-cleanup.md
- docker-machine.md
- docker-webserver.md

##### Other

- [Testing Yii 2.0 extensions with phd Docker images](tutorials/testing-yii2-extensions.md)
- [Classic PHP installation](tutorials/installation-composer.md)
- [Vagrant](tutorials/vagrant.md)
- [Toolchain](tutorials/toolchain.md)
- [History](tutorials/history.md)
